- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Friends | List of all members
AL::ColladaSceneBuilder Class Reference

`#include <colladascenebuilder.h>`

## Public Member Functions
| ColladaSceneBuilder (const Config &config=Config())
| ~ColladaSceneBuilder ()
void | xAddMesh (const Mesh &mesh, const Eigen::Affine3f &tf)
| ColladaSceneBuilder (const ColladaSceneBuilder &other)
ColladaSceneBuilder & | operator= (const ColladaSceneBuilder &other)
Public Member Functions inherited from AL::SceneBuilder
| SceneBuilder (const Config &_config)
| SceneBuilder (const SceneBuilder &other)
virtual | ~SceneBuilder ()
const Config & | getConfig () const
void | add (const Mesh &mesh, const Eigen::Affine3f &tf)
void | add (const Mesh &mesh, const Math::Transform &tf)
void | add (const Math::Sphere &shape, const Math::Transform &tf)
void | add (const Math::RoundedRectangle &shape, const Math::Transform &tf)
void | add (const Math::Pill &shape, const Math::Transform &tf)
void | add (const Math::Shape3D &shape, const Math::Transform &tf)

## Friends
ALMATH_API friend std::ostream & | operator<< (std::ostream &os, const ColladaSceneBuilder &builder)

## Additional Inherited Members

## Detailed Description

Definition at line 25 of file colladascenebuilder.h.

## Constructor & Destructor Documentation

AL::ColladaSceneBuilder::ColladaSceneBuilder | ( | const Config & | config = `Config()` | ) |

AL::ColladaSceneBuilder::~ColladaSceneBuilder | ( |  | ) |

AL::ColladaSceneBuilder::ColladaSceneBuilder | ( | const ColladaSceneBuilder & | other | ) |

## Member Function Documentation

ColladaSceneBuilder& AL::ColladaSceneBuilder::operator= | ( | const ColladaSceneBuilder & | other | ) |

void AL::ColladaSceneBuilder::xAddMesh | ( | const Mesh & | mesh,
|  | const Eigen::Affine3f & | tf
| ) |  |
| virtual

Implements AL::SceneBuilder.

## Friends And Related Function Documentation

ALMATH_API friend std::ostream& operator<< | ( | std::ostream & | os,
|  | const ColladaSceneBuilder & | builder
| ) |  |
| friend

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/colladascenebuilder.h